# Generated from nth-0.1.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name nth

Name: rubygem-%{gem_name}
Version: 0.1.0
Release: 1%{?dist}
Summary: Ordinal and number utilities
License: MIT
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.1.0
# BuildRequires: rubygem(rspec) >= 3.0
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(byebug) >= 5.0.0
BuildArch: noarch

%description
The Nth gem is a collection of utilities that use named numbers and ordinals
to represent or access data.
The gem supports numbers bigger than a milliquadragintillion (over 3000
zeros).
A way smaller number septemvigintillion is more than the number of atoms in
the Universe; it only has 84 zeros.
Asside from ridiculously large numbers, there are also some useful utilities
using named numbers.
As an example we can access the `#twelfth` character of a string.
Cookbook applications might like to use named measurements such as 'five and
three quarters'.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.travis.yml
%{gem_instdir}/CODE_OF_CONDUCT.md
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/nth.gemspec

%changelog
* Tue Sep 14 2021 mockbuilder - 0.1.0-1
- Initial package
